Subject: bug#32739: closed (Re: [bug#32739] Fix python-pyudev and solaar.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 15 Sep 2018 19:29:01 +0000

Your bug report

#32739: Fix python-pyudev and solaar.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
32739: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=32739
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#32739] Fix python-pyudev and solaar.
From: Roel Janssen <[email-masked]>
To: Danny Milosavljevic <[email-masked]>
Cc: [email-masked]
Date: Sat, 15 Sep 2018 21:27:45 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Danny Milosavljevic <[email-masked]> writes:

> LGTM!

Thanks for the quick review.
I've pushed the patch in cbb1b1686.

Kind regards,
Roel Janssen

Subject: Fix python-pyudev and solaar.
From: Roel Janssen <[email-masked]>
To: [email-masked]
Date: Sat, 15 Sep 2018 11:05:25 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear Guix,

When installing solaar:

$ guix package -i solaar

And then running it, I get:

$ solaar
missing required package 'python-pyudev'

Now, 'python-pyudev' is already a dependency of that package, but when
loading pyudev in python, we get:

$ python3
Python 3.6.5 (default, Jan  1 1970, 00:00:01) 
[GCC 5.5.0] on linux
Type "help", "copyright", "credits" or "license" for more information.
>>> import pyudev
...
ModuleNotFoundError: No module named 'six'

Therefore, I think 'python-pyudev' is missing a dependency for
'python-six'.

In the following patch I added this dependency to python-pyudev, after
which “import pyudev” works, and solaar starts.

Kind regards,
Roel Janssen

>From c14651e0b4aa1dc922fbbc79df15f2e527f8710d Mon Sep 17 00:00:00 2001
From: Roel Janssen <[email-masked]>
Date: Sat, 15 Sep 2018 11:03:31 +0200
Subject: [PATCH] admin: python-pyudev: Add dependency on python-six.

* gnu/packages/admin.scm (python-pyudev): Add dependency on python-six.
---
 gnu/packages/admin.scm | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/gnu/packages/admin.scm b/gnu/packages/admin.scm
index c6e1044b2..6949f6019 100644
--- a/gnu/packages/admin.scm
+++ b/gnu/packages/admin.scm
@@ -2779,6 +2779,8 @@ support forum.  It runs with the @code{/exec} command in most IRC clients.")
                #t))))))
     (inputs
      `(("eudev" ,eudev)))
+    (propagated-inputs
+     `(("python-six" ,python-six)))
     (native-inputs
      `(("python-docutils" ,python-docutils)
        ("python-hypothesis" ,python-hypothesis)
-- 
2.18.0